Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004314 [JEDI VCL] 00 JVCL Components major always 2007-12-13 03:22 2008-02-20 04:18
Reporter roku View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004314: TJvListView: Caption of TJvListItem is drawed incorrectly under Vista/Aero (in vsTile mode)
Description See the attached demo program.

The caption of selected items is drawn incorrectly (a black bar is drawn)
The caption of items where the mouse pointer is hovering over is also drawn incorrectly
Additional Information
Tags No tags attached.
Attached Files zip file icon TJvListView Bug.zip [^] (6,909 bytes) 2007-12-13 03:22
jpg file icon TJvListView Bug Screenshot.jpg [^] (14,507 bytes) 2007-12-13 03:22
? file icon snlListView.pas [^] (10,016 bytes) 2008-01-23 03:35
? file icon CommCtrl_Fragment.pas [^] (70,227 bytes) 2008-01-23 03:35

- Relationships

-  Notes
(0014153)
roku (reporter)
2008-01-15 09:38

Here is some more information about the issue:
messageid=467ee624@newsgroups.borland.com">http://delphi.newswhat.com/geoxml/forumhistorythread?groupname=borland.public.delphi.vcl.components.writing.win32&messageid=467ee624@newsgroups.borland.com [messageid=467ee624@newsgroups.borland.com" target="_blank">^]

I tried to find the source of this behaviour, but so far I haven't found anything.
(0014157)
roku (reporter)
2008-01-23 03:38

See attached PAS files for a workaround (not my code, LGPL, found it somewhere on the net). This seems to work correctly for XP/VISTA(+AERO), but not in win2k (only a standard listview with vsIcon is shown).
(0014158)
obones (administrator)
2008-01-23 07:01

I don't think vsTile exists for windows prior XP
(0014171)
obones (administrator)
2008-02-20 04:17

This should be fixed by revision 11713

- Issue History
Date Modified Username Field Change
2007-12-13 03:22 roku New Issue
2007-12-13 03:22 roku File Added: TJvListView Bug.zip
2007-12-13 03:22 roku File Added: TJvListView Bug Screenshot.jpg
2007-12-14 03:55 roku Issue Monitored: roku
2008-01-15 09:38 roku Note Added: 0014153
2008-01-23 03:35 roku File Added: snlListView.pas
2008-01-23 03:35 roku File Added: CommCtrl_Fragment.pas
2008-01-23 03:38 roku Note Added: 0014157
2008-01-23 07:01 obones Note Added: 0014158
2008-02-20 04:17 obones Status new => resolved
2008-02-20 04:17 obones Fixed in Version => Daily / SVN
2008-02-20 04:17 obones Resolution open => fixed
2008-02-20 04:17 obones Assigned To => obones
2008-02-20 04:17 obones Note Added: 0014171


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker